## org.biojava.bio.symbol
Class AlphabetManager.ListWrapper

    java.lang.Object
      |
      +--org.biojava.bio.symbol.AlphabetManager.ListWrapper

Enclosing class:
  AlphabetManager

public static class AlphabetManager.ListWrapper
extends java.lang.Object

Simple wrapper to assist in list-comparisons.

Author:
  Thomas Down

Constructor Summary
`AlphabetManager.ListWrapper()`
`AlphabetManager.ListWrapper(java.util.List l)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`void` `setList(java.util.List l)` Assigns a list of objects to a different list of objects.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphabetManager.ListWrapper

    public AlphabetManager.ListWrapper(java.util.List l)

### AlphabetManager.ListWrapper

    public AlphabetManager.ListWrapper()

Method Detail

### setList

    public void setList(java.util.List l)

  Assigns a list of objects to a different list of objects. This aids in comparison purposes, especially while doing hash lookups etc. Please note that once a list has been assigned with setList, this function should not be re-called.
  Parameters:
    `l` - the list to assign to the current list.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object